import 'package:sport/bean/game.dart';

class RankInfoData {
  int id;
  String name;
  int isGame;
  int isSport;
  int gameId;
  String introduce;
  int userCountMax;
  String rateBegin;
  String rateEnd;
  GameInfoData game;

  RankInfoData(
      {this.id,
      this.name,
      this.isGame,
      this.isSport,
      this.gameId,
      this.introduce,
      this.userCountMax,
      this.rateBegin,
      this.rateEnd,
      this.game});

  RankInfoData.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    isGame = json['is_game'];
    isSport = json['is_sport'];
    gameId = json['game_id'];
    introduce = json['introduce'];
    userCountMax = json['user_count_max'];
    rateBegin = json['rate_begin'];
    rateEnd = json['rate_end'];
    game = json['game'] != null ? new GameInfoData.fromJson(json['game']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    data['is_game'] = this.isGame;
    data['is_sport'] = this.isSport;
    data['game_id'] = this.gameId;
    data['introduce'] = this.introduce;
    data['user_count_max'] = this.userCountMax;
    data['rate_begin'] = this.rateBegin;
    data['rate_end'] = this.rateEnd;
    if (this.game != null) {
      data['game'] = this.game.toJson();
    }
    return data;
  }
}

class GameCover {
  String cover;
  String coverHorizontal;
  String coverVertical;

  GameCover({this.cover, this.coverHorizontal, this.coverVertical});

  GameCover.fromJson(Map<String, dynamic> json) {
    cover = json['cover'];
    coverHorizontal = json['cover_horizontal'];
    coverVertical = json['cover_vertical'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['cover'] = this.cover;
    data['cover_horizontal'] = this.coverHorizontal;
    data['cover_vertical'] = this.coverVertical;
    return data;
  }
}
